Pro 2.6.2 Release fixes authorize.net errors

Posted on May 2, 2018

We’ve pushed out an urgent update today for the Pro plugin, which specifically updates an SSL certificate within our plugin that is causing issues with booking events and paying with Authorize.net.

This is a required update for anyone using Authorize.net for payments. However, for those with expired licenses who do not wish to renew, for whatever reason, we do not consider this update as a ‘reason to renew’ (whilst we’d love it if you do!) and we’d like to share how to fix this yourself with some easy steps:

[edit: 2018-05-02 22:32PM CET – please update to 2.6.2.1 and view our follow-up post for updated instructions]

  1. Visit this page, and save it to your computer (which should save as file cert.pem)
  2. Upload the file to your site within the Events Manager Pro plugin folder, replacing the file /add-ons/gateways/anet_php_sdk/lib/ssl/cert.pem

These two steps will fix connection issues to the Authorize.net service.

We apologize for the inconvenience caused. Upon further investigation, this seems to be a change that Authorize.net implemented on May 1st 2018 yet failed to announce it (they usually announce breaking changes of this kind months ahead of time), and has caught a lot of their customers by surprise.

Leave a Reply

This comment area is for discussion, not obtaining support. If you are having issues installing or using Events Manager, please visit either our Free or Pro support forums and we'll be happy to help you there.